$(function(){
	
	$('#warrantyUpdateForm .showCurrencyUnit').text($('#warrantyUpdateForm .currencyType').attr('code'));
	
	if( $('#creditTypeOriginalVal').val() == 'single_credit_type' ){
		$('[name=creditType]:first').prop('checked',true);
		$('[name=creditType]:last').prop('checked',false);
	}else{
		$('[name=creditType]:last').prop('checked',true);
		$('[name=creditType]:first').prop('checked',false);
	}
	
	//日期初始化
	$("#warrantyUpdateForm").find(".effectiveDate").datetimepicker({
		weekStart: 1,
	    autoclose: 1,
	    todayHighlight: 0,
	    startView: 2,
	    minView:2,
	    forceParse: 0,
	    startDate:'1970-01-01',
	    endDate:'2116-12-31',
	    format: "yyyy-mm-dd"
	});
	
	//自动计算限额到期日
	function caculateCreditExpirationDate(){
		var testday = /^[1-9]\d*$/;
		if( testday.test($("#warrantyUpdateForm .timeLimit").val())　 ){//输入的期限符合规则
			if( $("#warrantyUpdateForm .effectiveDate").val()!='' && $("#warrantyUpdateForm .timeLimit").val()!='' ){
				$("#warrantyUpdateForm .expiringDate").val(caculateDeadlineDate($("#warrantyUpdateForm .effectiveDate").val(),$("#warrantyUpdateForm .timeLimit").val()))
			}else{
				$("#warrantyUpdateForm .expiringDate").val('');
			}
		}else{
			$("#warrantyUpdateForm .expiringDate").val('');
		}
	};
	
	$("#warrantyUpdateForm .timeLimit").keyup(function(){
		caculateCreditExpirationDate();
	});
	$("#warrantyUpdateForm .effectiveDate").change(function(){
		caculateCreditExpirationDate();
	});
	
	//限额余额自动计算    限额余额=限额额度-实占限额额度
	$("#warrantyUpdateForm .limitAmount").keyup(function(){
		$(this).val(commaDelimiter($(this).val()));
		$('#warrantyUpdateForm .limitAmountTrue').val($(this).val().split(',').join(''));
		$('#warrantyUpdateForm .limitAmountTrue').keyup();
		$("#warrantyUpdateForm .limitBalance").val($(this).val());
		$('#warrantyUpdateForm .limitBalanceTrue').val($(this).val().split(',').join(''))
	});
	$("#warrantyUpdateForm .limitAmount").keyup();
	
	// 限额生效日有值时去掉验证效果
	$("#warrantyUpdateForm .effectiveDate").change(function(){
		if( $("#warrantyUpdateForm .effectiveDate").val()!='' ){
			$("#warrantyUpdateForm .effectiveDate").removeClass('error');
			$("#warrantyUpdateForm #effectiveDate-error").hide();
		}
	});
	
	$("#myModal-updateImporter").find(".colorbtn").click(function(){
		$("#warrantyUpdateForm").submit();
	})
	
	$("#warrantyUpdateForm").validate({
		promptPosition : "bottomLeft",
		submitHandler : function(form) {
			$(form).ajaxSubmit({
				success : function(e) {
					if (e && e.success == true) {
						new $.zui.Messager('保存成功', {
							type : 'success'
						}).show();
						$("#myModal-updateImporter").modal('hide');
						$('#myModal-updateImporter').off('hidden.zui.modal').on('hidden.zui.modal', function() {
							$("#customerList2").trigger('reloadGrid');
						});
					} else {
						new $.zui.Messager('保存失败:'+e.msg, {
							type : 'danger'
						}).show();
					}
				}
			});
		},
		rules : {
			'foreignEnt.id' : {//进口方
				required : true
			},
			'limitAmount':{//限额额度
				required : true,
				positiveNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid:true
			},
			'currencyType.id':{//币种
				required : true
			},
			'effectiveDate':{//限额生效日
				required : true
			},
			'timeLimit':{//限额闲置期
				required : true,
				jobNumberValid:true,
				maxlength:"4"
			},
//			'expiringDate':{//限额到期日
//				required : true
//			},
			'oaBilling':{//OA账期
				required : true,
				jobNumberValid:true,
				maxlength:"4"
			}
		},
		messages : {
			'foreignEnt.id' : {//进口方
				required : "进口方不能为空",
			},
			'limitAmount':{//限额额度
				required : '限额额度不能为空'
			},
			'currencyType.id':{//币种
				required : '币种不能为空'
			},
			'effectiveDate':{//限额生效日
				required:'限额生效日不能为空'
			},
			'timeLimit':{//限额闲置期
				required:'限额闲置期不能为空',
				maxlength:'最大输入4位数'
			},
//			'expiringDate':{//限额到期日
//				required : '限额到期日不能为空'
//			},
			'oaBilling':{//OA账期
				required : 'OA账期不能为空',
				maxlength:'最大输入4位数'
			}
		}
	});
	jQuery.validator.addMethod("positiveNumberValid", function(value, element) {
		//不允许负数的-->/^[0-9]+([.]{1}[0-9]+){0,1}$/
	    return this.optional(element) || (/^[0-9]+([.]{1}[0-9]+){0,1}$/.test(value.split(',').join('')));
	}, "请输入正确的数字");
	
	
})